Changeset 1458 for ThirdParty/Glpk


Ignore:
Timestamp:
Dec 25, 2009 8:50:29 AM (10 years ago)
Author:
stefan
Message:

update to use glpk 4.41

Location:
ThirdParty/Glpk/trunk
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/INSTALL.Glpk

    r1441 r1458  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.40.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.41.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.40.tar.gz
    21 tar xf glpk-4.40.tar
     20gunzip glpk-4.41.tar.gz
     21tar xf glpk-4.41.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.40
     24  glpk-4.41
    2525into
    2626  glpk
  • ThirdParty/Glpk/trunk/Makefile.am

    r1441 r1458  
    5959$(GLPKDIR)/src/glpios09.c \
    6060$(GLPKDIR)/src/glpios10.c \
     61$(GLPKDIR)/src/glpios11.c \
     62$(GLPKDIR)/src/glpios12.c \
    6163$(GLPKDIR)/src/glpipm.c \
    6264$(GLPKDIR)/src/glpipp01.c \
     
    100102$(GLPKDIR)/src/glpnpp02.c \
    101103$(GLPKDIR)/src/glpnpp03.c \
     104$(GLPKDIR)/src/glpnpp04.c \
    102105$(GLPKDIR)/src/glpqmd.c \
    103106$(GLPKDIR)/src/glprgr.c \
     
    105108$(GLPKDIR)/src/glprng02.c \
    106109$(GLPKDIR)/src/glpscf.c \
    107 $(GLPKDIR)/src/glpscg.c \
    108110$(GLPKDIR)/src/glpscl.c \
    109111$(GLPKDIR)/src/glpsdf.c \
  • ThirdParty/Glpk/trunk/Makefile.in

    r1441 r1458  
    8282        glpini01.lo glpini02.lo glpios01.lo glpios02.lo glpios03.lo \
    8383        glpios04.lo glpios05.lo glpios06.lo glpios07.lo glpios08.lo \
    84         glpios09.lo glpios10.lo glpipm.lo glpipp01.lo glpipp02.lo \
    85         glplib01.lo glplib02.lo glplib03.lo glplib04.lo glplib05.lo \
    86         glplib06.lo glplib07.lo glplib08.lo glplib09.lo glplib10.lo \
    87         glplib11.lo glplib12.lo glplpf.lo glplpx01.lo glplpx02.lo \
    88         glplpx03.lo glplpx04.lo glpluf.lo glplux.lo glpmat.lo \
    89         glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo \
    90         glpmpl06.lo glpmps.lo glpnet01.lo glpnet02.lo glpnet03.lo \
    91         glpnet04.lo glpnet05.lo glpnet06.lo glpnet07.lo glpnet08.lo \
    92         glpnpp01.lo glpnpp02.lo glpnpp03.lo glpqmd.lo glprgr.lo \
    93         glprng01.lo glprng02.lo glpscf.lo glpscg.lo glpscl.lo \
    94         glpsdf.lo glpspm.lo glpspx01.lo glpspx02.lo glpsql.lo \
    95         glpssx01.lo glpssx02.lo amd_1.lo amd_2.lo amd_aat.lo \
    96         amd_control.lo amd_defaults.lo amd_dump.lo amd_info.lo \
    97         amd_order.lo amd_postorder.lo amd_post_tree.lo \
     84        glpios09.lo glpios10.lo glpios11.lo glpios12.lo glpipm.lo \
     85        glpipp01.lo glpipp02.lo glplib01.lo glplib02.lo glplib03.lo \
     86        glplib04.lo glplib05.lo glplib06.lo glplib07.lo glplib08.lo \
     87        glplib09.lo glplib10.lo glplib11.lo glplib12.lo glplpf.lo \
     88        glplpx01.lo glplpx02.lo glplpx03.lo glplpx04.lo glpluf.lo \
     89        glplux.lo glpmat.lo glpmpl01.lo glpmpl02.lo glpmpl03.lo \
     90        glpmpl04.lo glpmpl05.lo glpmpl06.lo glpmps.lo glpnet01.lo \
     91        glpnet02.lo glpnet03.lo glpnet04.lo glpnet05.lo glpnet06.lo \
     92        glpnet07.lo glpnet08.lo glpnpp01.lo glpnpp02.lo glpnpp03.lo \
     93        glpnpp04.lo glpqmd.lo glprgr.lo glprng01.lo glprng02.lo \
     94        glpscf.lo glpscl.lo glpsdf.lo glpspm.lo glpspx01.lo \
     95        glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo amd_1.lo \
     96        amd_2.lo amd_aat.lo amd_control.lo amd_defaults.lo amd_dump.lo \
     97        amd_info.lo amd_order.lo amd_postorder.lo amd_post_tree.lo \
    9898        amd_preprocess.lo amd_valid.lo colamd.lo
    9999libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
     
    308308$(GLPKDIR)/src/glpios09.c \
    309309$(GLPKDIR)/src/glpios10.c \
     310$(GLPKDIR)/src/glpios11.c \
     311$(GLPKDIR)/src/glpios12.c \
    310312$(GLPKDIR)/src/glpipm.c \
    311313$(GLPKDIR)/src/glpipp01.c \
     
    349351$(GLPKDIR)/src/glpnpp02.c \
    350352$(GLPKDIR)/src/glpnpp03.c \
     353$(GLPKDIR)/src/glpnpp04.c \
    351354$(GLPKDIR)/src/glpqmd.c \
    352355$(GLPKDIR)/src/glprgr.c \
     
    354357$(GLPKDIR)/src/glprng02.c \
    355358$(GLPKDIR)/src/glpscf.c \
    356 $(GLPKDIR)/src/glpscg.c \
    357359$(GLPKDIR)/src/glpscl.c \
    358360$(GLPKDIR)/src/glpsdf.c \
     
    537539@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios09.Plo@am__quote@
    538540@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios10.Plo@am__quote@
     541@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios11.Plo@am__quote@
     542@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpios12.Plo@am__quote@
    539543@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpipm.Plo@am__quote@
    540544@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpipp01.Plo@am__quote@
     
    578582@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp02.Plo@am__quote@
    579583@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp03.Plo@am__quote@
     584@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp04.Plo@am__quote@
    580585@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpqmd.Plo@am__quote@
    581586@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprgr.Plo@am__quote@
     
    583588@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glprng02.Plo@am__quote@
    584589@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscf.Plo@am__quote@
    585 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscg.Plo@am__quote@
    586590@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpscl.Plo@am__quote@
    587591@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpsdf.Plo@am__quote@
     
    901905@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpios10.lo `test -f '$(GLPKDIR)/src/glpios10.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios10.c
    902906
     907glpios11.lo: $(GLPKDIR)/src/glpios11.c
     908@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpios11.lo -MD -MP -MF "$(DEPDIR)/glpios11.Tpo" -c -o glpios11.lo `test -f '$(GLPKDIR)/src/glpios11.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios11.c; \
     909@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpios11.Tpo" "$(DEPDIR)/glpios11.Plo"; else rm -f "$(DEPDIR)/glpios11.Tpo"; exit 1; fi
     910@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpios11.c' object='glpios11.lo' libtool=yes @AMDEPBACKSLASH@
     911@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     912@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpios11.lo `test -f '$(GLPKDIR)/src/glpios11.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios11.c
     913
     914glpios12.lo: $(GLPKDIR)/src/glpios12.c
     915@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpios12.lo -MD -MP -MF "$(DEPDIR)/glpios12.Tpo" -c -o glpios12.lo `test -f '$(GLPKDIR)/src/glpios12.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios12.c; \
     916@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpios12.Tpo" "$(DEPDIR)/glpios12.Plo"; else rm -f "$(DEPDIR)/glpios12.Tpo"; exit 1; fi
     917@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpios12.c' object='glpios12.lo' libtool=yes @AMDEPBACKSLASH@
     918@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     919@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpios12.lo `test -f '$(GLPKDIR)/src/glpios12.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpios12.c
     920
    903921glpipm.lo: $(GLPKDIR)/src/glpipm.c
    904922@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpipm.lo -MD -MP -MF "$(DEPDIR)/glpipm.Tpo" -c -o glpipm.lo `test -f '$(GLPKDIR)/src/glpipm.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpipm.c; \
     
    11881206@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnpp03.lo `test -f '$(GLPKDIR)/src/glpnpp03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp03.c
    11891207
     1208glpnpp04.lo: $(GLPKDIR)/src/glpnpp04.c
     1209@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnpp04.lo -MD -MP -MF "$(DEPDIR)/glpnpp04.Tpo" -c -o glpnpp04.lo `test -f '$(GLPKDIR)/src/glpnpp04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp04.c; \
     1210@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnpp04.Tpo" "$(DEPDIR)/glpnpp04.Plo"; else rm -f "$(DEPDIR)/glpnpp04.Tpo"; exit 1; fi
     1211@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnpp04.c' object='glpnpp04.lo' libtool=yes @AMDEPBACKSLASH@
     1212@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1213@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnpp04.lo `test -f '$(GLPKDIR)/src/glpnpp04.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnpp04.c
     1214
    11901215glpqmd.lo: $(GLPKDIR)/src/glpqmd.c
    11911216@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpqmd.lo -MD -MP -MF "$(DEPDIR)/glpqmd.Tpo" -c -o glpqmd.lo `test -f '$(GLPKDIR)/src/glpqmd.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpqmd.c; \
     
    12221247@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    12231248@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpscf.lo `test -f '$(GLPKDIR)/src/glpscf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpscf.c
    1224 
    1225 glpscg.lo: $(GLPKDIR)/src/glpscg.c
    1226 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpscg.lo -MD -MP -MF "$(DEPDIR)/glpscg.Tpo" -c -o glpscg.lo `test -f '$(GLPKDIR)/src/glpscg.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpscg.c; \
    1227 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpscg.Tpo" "$(DEPDIR)/glpscg.Plo"; else rm -f "$(DEPDIR)/glpscg.Tpo"; exit 1; fi
    1228 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpscg.c' object='glpscg.lo' libtool=yes @AMDEPBACKSLASH@
    1229 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    1230 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpscg.lo `test -f '$(GLPKDIR)/src/glpscg.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpscg.c
    12311249
    12321250glpscl.lo: $(GLPKDIR)/src/glpscl.c
  • ThirdParty/Glpk/trunk/configure

    r1441 r1458  
    2008920089  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2009020090echo "${ECHO_T}${majorver}.${minorver}" >&6
    20091   if test x$majorver != x4 || test x$minorver != x40 ; then
    20092     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK\"" >&5
    20093 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK\"" >&2;}
     20091  if test x$majorver != x4 || test x$minorver != x41 ; then
     20092    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.41. Please update by rerunning get.GLPK\"" >&5
     20093echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.41. Please update by rerunning get.GLPK\"" >&2;}
    2009420094   { (exit 1); exit 1; }; }
    2009520095  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r1441 r1458  
    7474  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7575  AC_MSG_RESULT([${majorver}.${minorver}])
    76   if test x$majorver != x4 || test x$minorver != x40 ; then
    77     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK"])
     76  if test x$majorver != x4 || test x$minorver != x41 ; then
     77    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.41. Please update by rerunning get.GLPK"])
    7878  fi
    7979else
  • ThirdParty/Glpk/trunk/get.Glpk

    r1441 r1458  
    22
    33set -e
    4 glpk_ver=4.40
     4glpk_ver=4.41
    55
    66wgetcmd=wget
  • ThirdParty/Glpk/trunk/glpk.patch

    r1441 r1458  
    1 --- glpk/src/glplpx01.c.orig    2008-09-05 19:44:36.000000000 +0200
    2 +++ glpk/src/glplpx01.c 2008-09-05 19:42:45.000000000 +0200
    3 @@ -383,7 +383,7 @@
     1--- glpk/src/glplpx01.c.orig    2009-12-21 10:00:00.000000000 +0100
     2+++ glpk/src/glplpx01.c 2009-12-25 14:36:19.000000000 +0100
     3@@ -519,7 +519,7 @@
    44       ret = glp_simplex(lp, &parm);
    55       switch (ret)
Note: See TracChangeset for help on using the changeset viewer.